# Auction Converter

In Player Auctions you can create a auction converter addon that will essentially convert an auction from one plugin to another.

## Registering

You can go [here](/projects/playerauctions/api/expansions.md#registering-expansions) to learn on how to register an expansion.

## Examples

Here is an example of an auction converter addon class, this will let you be able to convert an auction from one plugin to another.

```java
import com.olziedev.playerauctions.api.expansion.AConverter;

public class ExampleConverter extends AConverter {

    @Override
    public boolean isEnabled() {
        return true;
    }

    @Override
    public String getName() {
        return "Example Expansion";
    }

    @Override
    public void onLoad() {

    }
}
```

Right now there isn't any methods to actually convert an auction, but there will be in the future hopefully.

You will just have to grab the auction from the old plugin and then create a new auction in Player Auctions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerauctions/api/expansions/converter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
